The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Installing YABB via WHM Cpaddons produces weird .PL error

Discussion in 'General Discussion' started by nyjimbo, Jul 23, 2009.

  1. nyjimbo

    nyjimbo Well-Known Member

    Joined:
    Jan 25, 2003
    Messages:
    1,125
    Likes Received:
    0
    Trophy Points:
    36
    Location:
    New York
    Customer requests we install YABB via the moderated addons request so we go to WHM and see "cPanel::Bulletin_Boards::YaBB.0.yaml" for the user and click on it and approve it to be installed.

    A few seconds later we get a pop up with :

    cPAddon Scripts Client Install Manager
    cPAddon cPanel::Bulletin_Boards::YaBB
    Done! You can access your new addon at xxxxxxx.org


    When we click on the link a new screen pops up with the line "Go to the site forum. " if we click on it then it appears to offer to download the yabb.pl file, not run it.

    anyone know what is going on, we have never seen this before.

    Running Freebsd 6.2 w/ cPanel 11.24.5-C37419 - WHM 11.24.2 - X 3.9
     
  2. Spiral

    Spiral BANNED

    Joined:
    Jun 24, 2005
    Messages:
    2,023
    Likes Received:
    7
    Trophy Points:
    0
    There is a name I have not heard in a long, long time! .... YaBB!

    YaBB was completely banned across many hosting networks for very serious and unresolvable security problems and then if that was not bad enough also suffered from some bad programming issues that effected the performance of the entire server on many web hosting servers.

    YaBB ultimately disappeared from the hosting scene except for a few sparse remnants here and there and the past few years I really have not seen any active mention of it anymore.

    In light of the above and first hand knowing YaBB's darker history, I would strongly advise you recommending to your client that they choose some other forum application software. A very good pick would be phpBB which actually has converters available to convert an existing YaBB community or database on over to phpBB. There are several other good choices as well.

    Now regarding your support question though ....

    It sounds like your web server might not be configured to recognize Perl scripts (with the .pl extension) or maybe don't have mod_perl. Although it could also be a permission issue as well. A lot would depend on specifically how your server is configured and I would probably need to know more details to be able to tell you more specifically what is going on.

    You could try manually installing it which might give you a little better control with the installation anyway.

    As I said though, you really should look at installing something else as YaBB is really not known to be so good.
     
    #2 Spiral, Jul 23, 2009
    Last edited: Jul 23, 2009
  3. nyjimbo

    nyjimbo Well-Known Member

    Joined:
    Jan 25, 2003
    Messages:
    1,125
    Likes Received:
    0
    Trophy Points:
    36
    Location:
    New York
    Thanks for the reply but others are using yabb on the machine without any problem so I dont think its a .pl issue unless its something the specific user can turn off.

    I dont want to remove yabb since its been in there forever and Cpanel does offer it.
     
  4. nyjimbo

    nyjimbo Well-Known Member

    Joined:
    Jan 25, 2003
    Messages:
    1,125
    Likes Received:
    0
    Trophy Points:
    36
    Location:
    New York
    Ok, it seems that some of the accounts have a "RemoveHandler" statement in their virtualhosts statements, which would make sense as to why .PL are failing in them.

    I am not sure why or how these got put in to the Vhost containers, does anyone know how they got there, was it some kind of apache config or some tweak somewhere?.

    Thanks.
     
  5. Spiral

    Spiral BANNED

    Joined:
    Jun 24, 2005
    Messages:
    2,023
    Likes Received:
    7
    Trophy Points:
    0
    Based on what you said, I suspect if you go into packages and check the account plan for the client, you'll find that the "CGI Access" box is unchecked which is what would trigger having the RemoveHandler added.

    Aside from packages, this option also appears under individual accounts
    under the option "Modify an Account" in WHM.
     
Loading...

Share This Page